=== doc/requirements.txt ===
python-gitlab
requests
furo==2023.07.26
myst-parser
