=== docker/debian-test/Makefile ===
include ../Makefile.common

.PHONY: build

build:
	cp ../../tests/robotframework/requirements.txt .
	$(MAKE) -f ../Makefile.common _build
