=== docker/doc/Makefile ===
include ../Makefile.common

.PHONY: build

build:
	cp ../../doc/requirements.txt .
	$(MAKE) -f ../Makefile.common _build
