=== docker/pip-release/Makefile ===
include ../Makefile.common

.PHONY: build

build:
	cp ../../debian/uwsgi.* ../../debian/sosse.conf .
	$(MAKE) -f ../Makefile.common _build
