=== tests/robotframework/requirements.txt ===
selenium
pyyaml
robotframework
robotframework-seleniumlibrary
