=== debian/changelog ===
sosse (1.8.1-0) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Sun, 14 Jan 2024 12:33:45 +0100

sosse (1.8.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Wed, 10 Jan 2024 19:11:38 +0100

sosse (1.7.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Sat, 11 Nov 2023 11:25:36 +0100

sosse (1.6.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Sat, 14 Oct 2023 15:33:31 +0200

sosse (1.5.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Wed, 30 Aug 2023 15:38:52 +0200

sosse (1.4.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Thu, 24 Aug 2023 18:21:12 +0200

sosse (1.3.2-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Tue, 22 Aug 2023 14:53:38 +0200

sosse (1.3.1-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Tue, 22 Aug 2023 11:24:14 +0200

sosse (1.3.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Mon, 21 Aug 2023 18:54:06 +0200

sosse (1.2.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Fri, 14 Jul 2023 11:21:11 +0200

sosse (1.1.2-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Fri, 30 Jun 2023 20:52:18 +0200

sosse (1.1.1-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Thu, 29 Jun 2023 16:03:50 +0200

sosse (1.1.0-1) bookworm; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Wed, 28 Jun 2023 11:13:38 +0200

sosse (1.0.1-1) bullseye; urgency=medium

  * Upstream release

 -- Laurent Defert <laurent_defert@yahoo.fr>  Mon, 01 May 2023 09:08:02 -0400

sosse (1.0.0-1) bullseye; urgency=medium

  * Initial package

 -- Laurent Defert <laurent_defert@yahoo.fr>  Sun, 30 Apr 2023 11:34:19 -0400
