=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_installinit:
	dh_installinit --name=sosse-uwsgi
	dh_installinit --name=sosse-crawler
